# Add Funding to Deposit

Creates Funding items and attaches them to an existing Deposit.

Endpoint: POST /funding-deposits/{depositKey}/add-funding
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `depositKey` (integer, required)
    Deposit Key

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `funding_Key` (integer, required)
    ID of the Funding record.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `account_Key` (integer)
    ID of the funding account.

  - `cleared_Amount` (number)
    Amount that was Cleared.

  - `cleared_Date` (string)
    Date the Amount was Cleared.

  - `deposit_Key` (integer)
    ID of the Deposit.

  - `entry_Date` (string)
    Date record was first added to the system

  - `entry_User` (string)
    User that first added the record to the system

  - `funding_Status` (string)
    Status of the Funding.

  - `funding_Type` (string)
    Type of the Funding.

  - `issue_Amount` (number)
    Amount Issued of the Funding record.

  - `issue_Date` (string)
    Date of the Issue.

  - `issue_ID` (string)
    ID of the Issue.

  - `issue_Name` (string)
    Name of the Issue.

  - `issue_Type` (string)
    The transaction type of the Issue Amount.

  - `payor_ID` (string)
    ID of the Payor associated with the Funding record.

  - `received_Date` (string)
    Date Funding was Received.

  - `update_Date` (string)
    Date the record was last updated in the system

  - `update_User` (string)
    User that last updated the record in the system

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.deposit_Key` (integer, required)
    ID of the funding deposit. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.deposit_Date` (string)
    Date when the deposit occurred.

  - `data.entry_Date` (string)
    Date record was first added to the system

  - `data.entry_User` (string)
    User that first added the record to the system

  - `data.reconcile_Key` (integer)
    ID of the reconciliation associated with the deposit.

  - `data.update_Date` (string)
    Date the record was last updated in the system

  - `data.update_User` (string)
    User that last updated the record in the system

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

